---
apiVersion: v1
kind: Service
metadata:
  name: talker
  labels:
    run: talker
spec:
  clusterIP: None # <- allows using svc dns to connect directly to pod
  ports:
  - port: 80
    protocol: TCP
  selector:
    run: talker
---
apiVersion: v1
kind: Service
metadata:
  name: listener
  labels:
    run: listener
spec:
  clusterIP: None # <- allows using svc dns to connect directly to pod
  ports:
  - port: 80
    protocol: TCP
  selector:
    run: listener
---
apiVersion: v1
kind: Service
metadata:
  name: tester
  labels:
    run: tester
spec:
  clusterIP: None # <- allows using svc dns to connect directly to pod
  ports:
  - port: 80
    protocol: TCP
  selector:
    run: tester